Update Field
curl --request PUT \
--url https://api.swoogo.com/api/v1/sessions/field/{field_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"choices": [
{
"delete": true,
"id": 149
},
{
"name": "new choice"
},
{
"id": "152",
"name": "updated choice"
}
],
"name": "updated name"
}
'import requests
url = "https://api.swoogo.com/api/v1/sessions/field/{field_id}"
payload = {
"choices": [
{
"delete": True,
"id": 149
},
{ "name": "new choice" },
{
"id": "152",
"name": "updated choice"
}
],
"name": "updated name"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
choices: [
{delete: true, id: 149},
{name: 'new choice'},
{id: '152', name: 'updated choice'}
],
name: 'updated name'
})
};
fetch('https://api.swoogo.com/api/v1/sessions/field/{field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allow_html": false,
"attribute": "c_104",
"choices": [
{
"id": 150,
"name": "second",
"sort": 1
},
{
"id": 151,
"name": "third",
"sort": 2
},
{
"id": 152,
"name": "updated choice",
"sort": 3
},
{
"id": 153,
"name": "new choice",
"sort": 4
}
],
"id": 104,
"name": "updated name",
"required": false,
"settings": null,
"sort": 28,
"type": "dropDownList",
"visible": true
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Session Fields
Update Field
Updates an existing custom session field definition by its ID. You can modify the field name, type, visibility, sort order, validation rules, and available choices.
PUT
/
sessions
/
field
/
{field_id}
Update Field
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the field you want to update
Example:
1
Body
application/jsonapplication/x-www-form-urlencoded
Response
Update An Existing Session Field
Example:
false
Example:
"c_104"
Show child attributes
Show child attributes
Example:
[
{ "id": 150, "name": "second", "sort": 1 },
{ "id": 151, "name": "third", "sort": 2 },
{
"id": 152,
"name": "updated choice",
"sort": 3
},
{
"id": 153,
"name": "new choice",
"sort": 4
}
]
Example:
104
Example:
"updated name"
Example:
false
Example:
28
Example:
"dropDownList"
Example:
true
⌘I